/* ########## 3.6 Containers ########## */

.o-container {

  @include media-breakpoint-down(lg) {
    width: 100%;
    padding-left: 30px;
    padding-right: 30px;
  }

  @include media-breakpoint-down(xs) {
    padding-left: 20px;
    padding-right: 20px;
  }
}

.o-container-wrapper {
  background-color: #fff;
  position: relative;
  overflow-y: hidden;
  padding: 30px 0;

  @media (min-width: 480px) { padding: 40px 0; }
  @include media-breakpoint-up(sm) { padding: 50px 0; }
  @include media-breakpoint-up(md) { padding: 60px 0; }
  @include media-breakpoint-up(lg) { padding: 80px 0; }
  @include media-breakpoint-up(xl) { padding: 100px 0; }
}

.o-container-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 100px 0;
  width: 100%;
}

.o-overlay {
  position: relative;
}

.o-overlay__block {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  padding: 20px;
}

.o-overlay__block--bottom {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  padding: 20px;
}
